Subject: Re: bug#20285: 25.0.50; blink-cursor-mode sometimes stops blinking

From: Eli Zaretskii <[email-masked]>
Date: Sat, 11 Apr 2015 18:14:56 +0300

> From: Tassilo Horn <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Sat, 11 Apr 2015 16:30:06 +0200
> 
> > If you had a latex subprocess running, every chunk of output received
> > via the process filter probably caused a call to redisplay.
> 
> That would explain things.  But why does that trigger a redisplay?  The
> buffer receiving the output hasn't been displayed in a window.

The arrival of subprocess output causes the pselect call to return,
marking the file descriptor for that process ready to be read.  Emacs
then reads from the descriptor, and returns to the idle loop.  If by
that time no additional process output arrived, Emacs will enter
redisplay.

IOW, arrival of process output is an event that causes the main loop
to crank one more time, and that includes redisplay.